Bug 482912 - init script references firstboot
init script references firstboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xguest (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 14:30 EST by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-30 08:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-01-28 14:30:54 EST
Description of problem:

$ cat /etc/init.d/xguest
#!/bin/bash
## BEGIN INIT INFO
# Provides: xguest
# Default-Start: 5
# Default-Stop: 0 1 2 3 4 6
# Required-Start:
#              
## END INIT INFO
# firstboot:         Starts the firstboot druid if it hasn't been run before
#
# chkconfig: 5 1 99
#
# Description: xguest is using pam_namespace to share the /var/tmp, /tmp and 
...

firstboot?


Version-Release number of selected component (if applicable):

xguest-1.0.6-8.fc11.noarch
Comment 1 Daniel Walsh 2009-01-30 08:09:00 EST
Bill is there a better way to do this with upstart?  This is really not an init script, (Should not show up in system-config-services for example). in that there is no daemon.  It is just setting up the pam_namespace will work correctly with hal and other root processes. 

It allows changes made to the original namespace to be inherited by the child, so when an xguest user inserts a usb stick, the usb stick will be mounted on his namespace.

Will fix the cut and paste error.
Comment 2 Daniel Walsh 2009-01-30 08:14:46 EST
Fixed in 1.0.7-1
Comment 3 Bill Nottingham 2009-01-30 11:39:08 EST
(In reply to comment #1)
> Bill is there a better way to do this with upstart?  This is really not an init
> script, (Should not show up in system-config-services for example). in that
> there is no daemon.  It is just setting up the pam_namespace will work
> correctly with hal and other root processes. 
> 
> It allows changes made to the original namespace to be inherited by the child,
> so when an xguest user inserts a usb stick, the usb stick will be mounted on
> his namespace.

Maybe, I'd need to understand a little more what it's trying to do. I 
can see exactly what it's calling, but the whys and hows of it are completely unclear to me. Are there some docs on what these calls to mount actually do, and why they're required for this?
Comment 4 Daniel Walsh 2009-02-02 08:20:35 EST
man mount 

has some explanation

Russell Coker wrote a paper explaining this.

http://doc.coker.com.au/papers/polyinstantiation-directories-in-se-linux/

Note You need to log in before you can comment on or make changes to this bug.